Bug 152953 - Add support for JVM enhancement CR 6306922
Add support for JVM enhancement CR 6306922
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 13:17 UTC by Tomas Hurka
Modified: 2009-05-22 10:36 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2008-11-11 13:17:51 UTC
Add support for CR 6306922 - Dump dump created by +HeapDumpOnOutOfMemoryError should include stack traces for stack roots. New tab will be added 
to HeapWalker displaying threads and stack traces for the heap dump. In the heap dump where there are no stack trace information - this tab will display just 
list of running threads.
Comment 1 Tomas Hurka 2008-11-11 13:20:27 UTC
Link to JVM enhancement: http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6306922
Comment 2 Tomas Hurka 2008-11-11 14:07:56 UTC
Fixed in profiler-main.
changeset:   107724:4fc60bb61a97
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Nov 11 15:06:26 2008 +0100
summary:     issue #152953, add support for CR 6306922 - Dump dump created by +HeapDumpOnOutOfMemoryError should include stack traces for stack 
roots.

Comment 3 Quality Engineering 2008-11-12 16:45:17 UTC
Integrated into 'main-golden', will be available in build *200811121401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4fc60bb61a97
User: Tomas Hurka <thurka@netbeans.org>
Log: issue #152953, add support for CR 6306922 - Dump dump created by +HeapDumpOnOutOfMemoryError should include stack traces for stack roots.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo